Index: /branches/version-2_5-dev/html/admin/system/plugin.php
===================================================================
--- /branches/version-2_5-dev/html/admin/system/plugin.php	(revision 19661)
+++ /branches/version-2_5-dev/html/admin/system/plugin.php	(revision 19661)
@@ -0,0 +1,35 @@
+<?php
+/*
+ * This file is part of EC-CUBE
+ *
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
+ *
+ * http://www.lockon.co.jp/
+ *
+ * This program is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU General Public License
+ * as published by the Free Software Foundation; either version 2
+ * of the License, or (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
+ */
+
+// {{{ requires
+require_once '../require.php';
+require_once CLASS_EX_PATH . 'page_extends/admin/system/LC_Page_Admin_System_Plugin_Ex.php';
+
+// }}}
+// {{{ generate page
+
+$objPage = new LC_Page_Admin_System_Plugin_Ex();
+register_shutdown_function(array($objPage, 'destroy'));
+$objPage->init();
+$objPage->process();
+?>
Index: /branches/version-2_5-dev/html/admin/index.php
===================================================================
--- /branches/version-2_5-dev/html/admin/index.php	(revision 18701)
+++ /branches/version-2_5-dev/html/admin/index.php	(revision 19661)
@@ -23,10 +23,10 @@
 // {{{ requires
 require_once './require.php';
-require_once CLASS_EX_PATH . 'page_extends/admin/LC_Page_Admin_Ex.php';
+require_once CLASS_EX_PATH . 'page_extends/admin/LC_Page_Admin_Index_Ex.php';
 
 // }}}
 // {{{ generate page
 
-$objPage = new LC_Page_Admin_Ex();
+$objPage = new LC_Page_Admin_Index_Ex();
 register_shutdown_function(array($objPage, 'destroy'));
 $objPage->init();
Index: /branches/version-2_5-dev/html/sphone/user_data/packages/default/js/news.js
===================================================================
--- /branches/version-2_5-dev/html/sphone/user_data/packages/default/js/news.js	(revision 19661)
+++ /branches/version-2_5-dev/html/sphone/user_data/packages/default/js/news.js	(revision 19661)
@@ -0,0 +1,27 @@
+var newsText = new Array();
+var newsCnt = 0;
+/*------------------------------------------
+@î{Ö(zñÌÌJEgð¾éj
+------------------------------------------*/
+function getNext(ary, cnt) {
+    if(++cnt >= ary.length)
+        return 0;
+    else
+        return cnt;
+}
+/*------------------------------------------
+@î{Ö(zñÌÌJEgð¾éj
+------------------------------------------*/
+function nextNews(){
+    newsText[newsCnt].className = "anews";
+    newsCnt = getNext(newsText, newsCnt);
+    newsText[getNext(newsText, newsCnt)].className = "anews right";
+    newsText[newsCnt].className = "anews view";
+}
+
+function initNews(){
+    newsText = document.getElementsByClassName('anews');
+    newsid = setInterval("nextNews()", 10000);
+    newsText[getNext(newsText, newsCnt)].className = "anews right";
+    newsText[newsCnt].className = "anews view";
+}
Index: /branches/version-2_5-dev/html/sphone/user_data/packages/default/js/category.js
===================================================================
--- /branches/version-2_5-dev/html/sphone/user_data/packages/default/js/category.js	(revision 19661)
+++ /branches/version-2_5-dev/html/sphone/user_data/packages/default/js/category.js	(revision 19661)
@@ -0,0 +1,126 @@
+/*------------------------------------------
+指定されたノードを、オープンまたはクローズする
+------------------------------------------*/
+function openOrClose(tgt){
+    //指定ノードが「hidden」のとき、リストを可視化
+    if(tgt.style.visibility == "hidden"){
+        tgt.style.display = "block";
+        tgt.style.visibility = "visible";
+        tgt.style.height = "auto";
+        tgt.style.paddingTop = "0.25em";
+        tgt.style.lineHeight = "1em"
+        tgt.style.opacity = 1.0;
+    }
+    //指定ノードが「hidden」でないとき、リストを隠す
+    else{
+        tgt.style.display = "none";
+        tgt.style.visibility = "hidden";
+        tgt.style.height = "0px";
+        tgt.style.paddingTop = "0";
+        tgt.style.lineHeight = 0;
+        tgt.style.opacity = 0;
+    }
+}
+
+/*------------------------------------------
+リストープン処理
+------------------------------------------*/
+function listopen(lv, num){
+    var tgt = document.getElementsByClassName("level" + lv)[num];
+    var cnt = 0;
+    //次のレベルをサーチ → 次のレベルのリストをオープンする
+    for(var i=0; i < document.getElementsByClassName("level" + (lv+1)).length; i++){
+        var next_tgt = document.getElementsByClassName("level" + (lv+1))[i];
+        //li
+        if (next_tgt.parentNode == tgt || next_tgt.parentNode.parentNode == tgt){
+            openOrClose(next_tgt);
+            cnt++;
+        }
+    }
+    //次のレベルをサーチ → 表示ボタンの状態を変更
+    for(var i=0; i < tgt.childNodes.length; i++){
+        var next_tgt = tgt.childNodes[i];
+        //ul
+        if(next_tgt.tagName == "UL"){
+        if(next_tgt.style.height == "0px"){
+            //for(var i=0; i<next_tgt.parentNode.childNodes.length; i++){
+                if(event.srcElement.parentNode.className == "category_header plus"){
+                    event.srcElement.innerText = '−';
+                    event.srcElement.parentNode.className = "category_header minus";
+                }
+            //}
+            next_tgt.style.height = "auto"; //1.5*cnt + "em";
+            next_tgt.style.marginTop = 0;
+            next_tgt.style.marginBottom = 0;
+        }
+        else{
+            for(var i=0; i<next_tgt.parentNode.childNodes.length; i++){
+                if(event.srcElement.parentNode.className == "category_header minus"){
+                    event.srcElement.innerText = '＋';
+                    event.srcElement.parentNode.className = "category_header plus";
+                }
+            }
+            next_tgt.style.height = "0px";
+            next_tgt.style.marginTop = 0;
+            next_tgt.style.marginBottom = 0;
+        }
+        }
+    }
+}
+
+/*------------------------------------------
+クリックイベントを設定する
+------------------------------------------*/
+function setclickevent(tgt, lv, num){
+    //レベル１以外の時は非表示に
+    if(lv!=1){
+        tgt.style.visibility = "hidden";
+        tgt.style.display = "none";
+        tgt.style.height = "0px";
+        tgt.style.lineHeight = 0;
+        tgt.style.paddingTop = 0;
+        tgt.style.paddingBottom = 0;
+        if(tgt.parentNode.tagName == "UL"){
+            tgt.parentNode.style.height = "0px";
+            tgt.parentNode.style.margin = "0";
+            tgt.parentNode.style.padding = "0";
+            tgt.parentNode.style.border = "none";
+        }
+    }
+    var hasLink_flg;
+    if(tgt.childNodes.length){
+        for (var j = 0; j < tgt.childNodes.length; j++) {
+            //クリック範囲の拡大
+            if(tgt.childNodes[j].tagName == 'A'){
+                tgt.setAttribute('onclick', 'location.href="' + tgt.childNodes[j].getAttribute('href') + '"');
+            }
+            //アコーディオンリストの操作イベント関数を追加
+            else if(tgt.childNodes[j].tagName == 'UL'){
+                //▶を表示し、リストオープン関数を追加
+                var linkObj = document.createElement("a");
+                linkObj.innerText = '＋';
+                tgt.childNodes[0].className="category_header plus";
+                tgt.childNodes[0].appendChild(linkObj);
+                j++;
+                linkObj.parentNode.setAttribute('onclick', 'listopen(' + lv + ',' + num + ')');
+
+                //tgt.setAttribute('onclick', 'listopen(' + lv + ',' + num + ')');
+                break;
+            }
+        }
+    }
+}
+
+/*------------------------------------------
+初期化
+------------------------------------------*/
+//level?クラスを持つノード全てを走査し初期化
+function initCategoryList(){
+    var lv = 0;
+    //level?クラスを持つノード全てに、クリックイベントを追加
+    while(document.getElementsByClassName("level" + (++lv)).length){
+        for (var i = 0; i < document.getElementsByClassName("level" + lv).length; i++) {
+            setclickevent(document.getElementsByClassName("level" + lv)[i], lv, i);
+        }
+    }
+}
Index: /branches/version-2_5-dev/html/sphone/user_data/packages/default/js/barbutton.js
===================================================================
--- /branches/version-2_5-dev/html/sphone/user_data/packages/default/js/barbutton.js	(revision 19661)
+++ /branches/version-2_5-dev/html/sphone/user_data/packages/default/js/barbutton.js	(revision 19661)
@@ -0,0 +1,35 @@
+function setTopButton(topURL) {
+    if(!topURL){
+        topURL = "/";
+    }
+    var buttonText = "TOPへ";
+    var buttonId = "btn-top";
+
+    //ボタンの生成・設定
+    var btn = document.createElement('div');
+    var a = document.createElement('a');
+    btn.id = buttonId;
+    btn.onclick = function(){location=topURL;};
+    a.href = topURL;
+    a.innerText = buttonText;
+    
+    /* 背景色の設定 ---------------------*/
+    //最初の見出しの背景色を取得、設定
+    var obj = document.getElementsByTagName('h2')[0];
+    var col = document.defaultView.getComputedStyle(obj,null).getPropertyValue('background-color');
+    btn.style.backgroundColor = col;
+    
+    //省略表示用テキストの生成
+    var spn = document.createElement('span');
+    spn.innerText = obj.innerText;
+    obj.innerText = "";
+    spn.style.display = "inline-block";
+    spn.style.maxWidth = "67%";
+    spn.style.overflow = "hidden";
+    spn.style.textOverflow = "ellipsis";
+    obj.appendChild(spn);
+    
+    //ボタンを追加
+    btn.appendChild(a);
+    document.getElementsByTagName('body')[0].appendChild(btn);;
+}
Index: /branches/version-2_5-dev/html/require.php
===================================================================
--- /branches/version-2_5-dev/html/require.php	(revision 18815)
+++ /branches/version-2_5-dev/html/require.php	(revision 19661)
@@ -33,4 +33,7 @@
 SC_MobileUserAgent::sfAutoRedirectMobileSite();
 
+// スマートフォンの場合、リダイレクト
+#SC_SmartphoneUserAgent::sfAutoRedirectSmartphoneSite();
+
 // 絵文字変換 (除去) フィルターを組み込む。
 ob_start(array('SC_MobileEmoji', 'handler'));
Index: /branches/version-2_5-dev/html/install/sql/create_table_mysql.sql
===================================================================
--- /branches/version-2_5-dev/html/install/sql/create_table_mysql.sql	(revision 18916)
+++ /branches/version-2_5-dev/html/install/sql/create_table_mysql.sql	(revision 19661)
@@ -1249,4 +1249,17 @@
 ) TYPE=InnoDB;
 
+
+CREATE TABLE dtb_plugin (
+  plugin_id INT NOT NULL,
+  plugin_name VARCHAR(255) NOT NULL DEFAULT "",
+  enable INT NOT NULL DEFAULT 0,
+  del_flg INT NOT NULL DEFAULT 0,
+  class_name VARCHAR(255) NOT NULL DEFAULT NULL,
+  create_date DATETIME NOT NULL,
+  update_date DATETIME NOT NULL,
+  PRIMARY KEY (plugin_id)
+) TYPE=InnoDB;
+
+
 CREATE INDEX dtb_customer_mobile_phone_id_key ON dtb_customer (mobile_phone_id(64));
 CREATE INDEX dtb_products_class_product_id_key ON dtb_products_class(product_id);
Index: /branches/version-2_5-dev/html/install/sql/create_table_pgsql.sql
===================================================================
--- /branches/version-2_5-dev/html/install/sql/create_table_pgsql.sql	(revision 18916)
+++ /branches/version-2_5-dev/html/install/sql/create_table_pgsql.sql	(revision 19661)
@@ -1261,2 +1261,12 @@
 CREATE INDEX dtb_mobile_kara_mail_create_date_key ON dtb_mobile_kara_mail (create_date);
 CREATE INDEX dtb_mobile_kara_mail_receive_date_key ON dtb_mobile_kara_mail (receive_date);
+
+CREATE TABLE "dtb_plugin" (
+	"plugin_id" int4 primary key NOT NULL,
+	"plugin_name" varchar(255) DEFAULT NULL,
+	"enable" int2 NOT NULL DEFAULT 0,
+	"del_flg" int2 NOT NULL DEFAULT 0,
+	"class_name" varchar(255) DEFAULT NULL,
+	"create_date" timestamp(6) NOT NULL DEFAULT now(),
+	"update_date" timestamp(6) NOT NULL DEFAULT now()
+);
Index: /branches/version-2_5-dev/data/require_classes.php
===================================================================
--- /branches/version-2_5-dev/data/require_classes.php	(revision 18860)
+++ /branches/version-2_5-dev/data/require_classes.php	(revision 19661)
@@ -45,7 +45,9 @@
 require_once(CLASS_PATH . "SC_Cookie.php");
 require_once(CLASS_PATH . "SC_MobileUserAgent.php");
+require_once(CLASS_PATH . "SC_SmartphoneUserAgent.php");
 require_once(CLASS_PATH . "SC_MobileEmoji.php");
 require_once(CLASS_PATH . "SC_MobileImage.php");
 require_once(CLASS_PATH . "SC_Product.php");
+require_once(CLASS_PATH . "SC_Display.php");
 require_once(CLASS_EX_PATH . "helper_extends/SC_Helper_PageLayout_Ex.php");
 require_once(CLASS_EX_PATH . "helper_extends/SC_Helper_DB_Ex.php");
@@ -53,3 +55,5 @@
 require_once(CLASS_EX_PATH . "helper_extends/SC_Helper_Mobile_Ex.php");
 require_once(CLASS_EX_PATH . "helper_extends/SC_Helper_Purchase_Ex.php");
+// require_once(CLASS_EX_PATH . "helper_extends/SC_Helper_Plugin_Ex.php");
+
 ?>
Index: /branches/version-2_5-dev/data/module/Net/UserAgent/Mobile.php
===================================================================
--- /branches/version-2_5-dev/data/module/Net/UserAgent/Mobile.php	(revision 18188)
+++ /branches/version-2_5-dev/data/module/Net/UserAgent/Mobile.php	(revision 19661)
@@ -396,4 +396,40 @@
     }
 
+    // }}}
+    // {{{ isSmartphone()
+
+    /**
+     * Checks whether or not the user agent is Smartphone by a given user agent string.
+     *
+     * @param string $userAgent
+     * @return boolean
+     * @since Method available since Release 0.31.0
+     */
+    function isSmartphone($userAgent = null)
+    {
+        if (is_null($userAgent)) {
+            $userAgent = @$_SERVER['HTTP_USER_AGENT'];
+        }
+
+        $useragents = array(
+            'iPhone',         // Apple iPhone
+            'iPod',           // Apple iPod touch
+            'Android',        // 1.5+ Android
+            'dream',          // Pre 1.5 Android
+            'CUPCAKE',        // 1.5+ Android
+            'blackberry9500', // Storm
+            'blackberry9530', // Storm
+            'blackberry9520', // Storm v2
+            'blackberry9550', // Storm v2
+            'blackberry9800', // Torch
+            'webOS',          // Palm Pre Experimental
+            'incognito',      // Other iPhone browser
+            'webmate'         // Other iPhone browser
+        );
+
+        $pattern = implode("|", $useragents);
+        return preg_match('/'.$pattern.'/', $userAgent);
+    }
+
     /**#@-*/
 
Index: /branches/version-2_5-dev/data/module/Net/UserAgent/Mobile/Common.php
===================================================================
--- /branches/version-2_5-dev/data/module/Net/UserAgent/Mobile/Common.php	(revision 18188)
+++ /branches/version-2_5-dev/data/module/Net/UserAgent/Mobile/Common.php	(revision 19661)
@@ -447,4 +447,19 @@
 
     // }}}
+    // {{{ isSmartphone()
+
+    /**
+     * Returns whether the agent is Smartphone or not.
+     *
+     * @return boolean
+     * @since Method available since Release 0.31.0
+     */
+    function isSmartphone()
+    {
+        return false;
+    }
+
+
+    // }}}
     // {{{ getModel()
 
Index: /branches/version-2_5-dev/data/mtb_constants_init.php
===================================================================
--- /branches/version-2_5-dev/data/mtb_constants_init.php	(revision 18882)
+++ /branches/version-2_5-dev/data/mtb_constants_init.php	(revision 19661)
@@ -517,4 +517,8 @@
 /** SMARTYコンパイル(mobile) */
 define('MOBILE_COMPILE_DIR', COMPILE_DIR . "mobile/");
+/** SMARTYテンプレート(smart phone) */
+define('SMARTPHONE_TEMPLATE_DIR', TEMPLATE_DIR . "smartphone/");
+/** SMARTYコンパイル(smart phonemobile) */
+define('SMARTPHONE_COMPILE_DIR', COMPILE_DIR . "smartphone/");
 /** モバイルサイトのセッションの存続時間 (秒) */
 define('MOBILE_SESSION_LIFETIME', 1800);
Index: /branches/version-2_5-dev/data/plugin/bingo/SC_Plugin_bingo.php
===================================================================
--- /branches/version-2_5-dev/data/plugin/bingo/SC_Plugin_bingo.php	(revision 19661)
+++ /branches/version-2_5-dev/data/plugin/bingo/SC_Plugin_bingo.php	(revision 19661)
@@ -0,0 +1,122 @@
+<?php
+/*
+ * This file is part of EC-CUBE
+ *
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
+ *
+ * http://www.lockon.co.jp/
+ *
+ * This program is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU General Public License
+ * as published by the Free Software Foundation; either version 2
+ * of the License, or (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
+ */
+
+// {{{ requires
+require_once(CLASS_EX_PATH . "SC_Plugin_Ex.php");
+// }}}
+
+class SC_Plugin_bingo extends SC_Plugin_Ex {
+    var $plugin_name = null;
+
+    // $X回に1回が当たり
+    var $X = 1;
+
+    function SC_Plugin_bingo() {
+        $this->plugin_name = 'bingo';
+
+        // $X回に1回が当たり
+        // ここの値を変更して下さい。
+        $this->X = 1;
+    }
+
+    function is_enable($class_name) {
+//        parent::is_enable($class_name);
+
+        $arrEnableClass = array(
+            'LC_Page_Shopping_Confirm_Ex',
+            'LC_Page_Shopping_Complete_Ex',
+        );
+
+        return in_array($class_name, $arrEnableClass);
+    }
+
+    function preProcess(&$objPage) {
+//        parent::preProcess($objPage);
+
+        $class_name = get_class($objPage);
+        switch ($class_name) {
+            case 'LC_Page_Shopping_Confirm_Ex':
+                if ($_POST['mode'] == 'confirm') {
+                    $this->lfDrawing();
+                }
+                break;
+        }
+    }
+
+    function process(&$objPage) {
+//        parent::process($objPage);
+
+        $class_name = get_class($objPage);
+        switch ($class_name) {
+            case 'LC_Page_Shopping_Confirm_Ex':
+                break;
+            case 'LC_Page_Shopping_Complete_Ex':
+                $is_bingo = $_SESSION['plugin_bingo']['is_bingo'];
+                if ($is_bingo) {
+                    if (SC_Utils_Ex::sfIsMobileSite()) {
+                        $objPage->tpl_mainpage = DATA_PATH . 'plugin/' . $this->plugin_name . '/templates/mobile/shopping/complete.tpl';
+                    } else {
+                        $objPage->tpl_mainpage = DATA_PATH . 'plugin/' . $this->plugin_name . '/templates/shopping/complete.tpl';
+                    }
+                }
+                break;
+        }
+    }
+
+    function lfDrawing() {
+        // is_bingoを初期化
+        $_SESSION['plugin_bingo'] = array('is_bingo'=>false);
+
+        $rand = mt_rand(1, $this->X);
+
+        // 当たり!
+        if ($rand === 1) {
+            $objDb = new SC_Helper_DB_Ex();
+            $objCartSess = new SC_CartSession();
+            $objCustomer = new SC_Customer();
+            $objSiteSess = new SC_SiteSession();
+
+            $tmpData = $objDb->sfGetOrderTemp($uniqid);
+
+            // 当たりなので、使用ポイントを未使用にする。
+            $tmpData['use_point'] = 0;
+
+            $cartKey = $_SESSION['cartKey'];
+            $results = $objCartSess->calculate($cartKey, $objCustomer, $tmpData['use_point'], $tmpData['deliv_pref'], $tmpData['payment_id'], $tmpData['charge']);
+
+            // 合計を0にするために合計額を値引にセット
+            $tmpData['discount'] = $results['total'];
+
+            // メモに「当たり」と記載する
+            $tmpData['note'] = '当たり';
+
+            $uniqid = $objSiteSess->getUniqId();
+            $objDb->sfRegistTempOrder($uniqid, $tmpData);
+
+            // is_bingoセット
+            $_SESSION['plugin_bingo'] = array('is_bingo'=>true);
+        }
+    }
+}
+
+?>
Index: /branches/version-2_5-dev/data/plugin/TestPlugin1/TestPlugin1.php
===================================================================
--- /branches/version-2_5-dev/data/plugin/TestPlugin1/TestPlugin1.php	(revision 19661)
+++ /branches/version-2_5-dev/data/plugin/TestPlugin1/TestPlugin1.php	(revision 19661)
@@ -0,0 +1,83 @@
+<?php
+require_once CLASS_PATH."/SC_Plugin.php";
+
+class TestPlugin1 extends SC_Plugin {
+
+
+
+    function enable(String $classname){
+        return preg_match('/shopping|payment|products/',$classname)?
+        !preg_match('/list/', $classname)
+        :false
+        ;
+    }
+
+    function init(){
+
+    }
+
+
+    function getVersion(){
+        return "0.0.1";
+    }
+
+    function getName(){
+        return "TestPlugin1";
+    }
+
+    function process(){
+
+    }
+
+    function mobileprocess(){
+
+    }
+
+    function install(){
+        $objQuery = new SC_Query();
+        $arrPlugins = $objQuery->select("plugin_id", "dtb_plugin", "name = ?",array($this->getName()));
+        $data = array(
+          'plugin_name' => $this->getName(),
+          'path' => realpath(DATA_DIR.'/plugin/'.$this->getName().'/'),
+          'enable' => '1',
+          'del_flg' => '0',
+          'class_name' => $this->getName(),
+          'version' => $this->getVersion()
+        );
+        if($this->getInstallSQL() != null){
+            $objQuery->query($this->getInstallSQL());
+        }
+
+        if(count($arrPlugins) == 0){
+            $objQuery->insert("dtb_plugin", $data);
+        }else{
+            $objQuery->update('dtb_plugin',$data,'plugin_id = ?',array($arrPlugins[0]['plugin_id']));
+        }
+
+
+    }
+
+    function uninstall($plugin_id){
+        $objQuery = new SC_Query();
+        $sql = $this->getUninstallSQL();
+        if($sql != null){
+            $objQuery->query($sql);
+        }
+        return $objQuery->update('dtb_plugin', array('del_flg'=>1), 'plugin_id = ?', $plugin_id);
+        
+    }
+
+    /**
+     *
+     * @return String インストール用のSQL
+     */
+    function getInstallSQL(){
+
+    }
+
+
+    function getUninstallSQL(){
+
+    }
+
+}
Index: /branches/version-2_5-dev/data/class_extends/SC_Plugin_Ex.php
===================================================================
--- /branches/version-2_5-dev/data/class_extends/SC_Plugin_Ex.php	(revision 19661)
+++ /branches/version-2_5-dev/data/class_extends/SC_Plugin_Ex.php	(revision 19661)
@@ -0,0 +1,41 @@
+<?php
+/*
+ * This file is part of EC-CUBE
+ *
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
+ *
+ * http://www.lockon.co.jp/
+ *
+ * This program is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU General Public License
+ * as published by the Free Software Foundation; either version 2
+ * of the License, or (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
+ */
+
+// {{{ requires
+require_once(CLASS_PATH . "SC_Plugin.php");
+
+/**
+ * プラグインクラス(拡張).
+ *
+ * SC_Plugin をカスタマイズする場合はこのクラスを使用する.
+ *
+ * @package
+ * @author LOCKON CO.,LTD.
+ * @version $Id: $
+ */
+class SC_Plugin_Ex extends SC_Plugin {
+    function SC_Plugin_Ex() {
+        parent::SC_Plugin();
+    }
+}
+?>
Index: /branches/version-2_5-dev/data/class_extends/SC_Response_Ex.php
===================================================================
--- /branches/version-2_5-dev/data/class_extends/SC_Response_Ex.php	(revision 19661)
+++ /branches/version-2_5-dev/data/class_extends/SC_Response_Ex.php	(revision 19661)
@@ -0,0 +1,8 @@
+<?php
+
+require_once(CLASS_PATH . "SC_Response.php");
+
+class SC_Response_Ex extends SC_Response{
+    
+    
+}
Index: /branches/version-2_5-dev/data/class_extends/page_extends/admin/system/LC_Page_Admin_System_Plugin_Ex.php
===================================================================
--- /branches/version-2_5-dev/data/class_extends/page_extends/admin/system/LC_Page_Admin_System_Plugin_Ex.php	(revision 19661)
+++ /branches/version-2_5-dev/data/class_extends/page_extends/admin/system/LC_Page_Admin_System_Plugin_Ex.php	(revision 19661)
@@ -0,0 +1,68 @@
+<?php
+/*
+ * This file is part of EC-CUBE
+ *
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
+ *
+ * http://www.lockon.co.jp/
+ *
+ * This program is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU General Public License
+ * as published by the Free Software Foundation; either version 2
+ * of the License, or (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
+ */
+
+// {{{ requires
+require_once(CLASS_PATH . "pages/admin/system/LC_Page_Admin_System_Plugin.php");
+
+/**
+ * システム管理 のページクラス(拡張).
+ *
+ * LC_Page_Admin_System をカスタマイズする場合はこのクラスを編集する.
+ *
+ * @package Page
+ * @author LOCKON CO.,LTD.
+ * @version $Id: LC_Page_Admin_System_Ex.php 18701 2010-06-14 08:30:18Z nanasess $
+ */
+class LC_Page_Admin_System_Plugin_Ex extends LC_Page_Admin_System_Plugin {
+
+    // }}}
+    // {{{ functions
+
+    /**
+     * Page を初期化する.
+     *
+     * @return void
+     */
+    function init() {
+        parent::init();
+    }
+
+    /**
+     * Page のプロセス.
+     *
+     * @return void
+     */
+    function process() {
+        parent::process();
+    }
+
+    /**
+     * デストラクタ.
+     *
+     * @return void
+     */
+    function destroy() {
+        parent::destroy();
+    }
+}
+?>
Index: /branches/version-2_5-dev/data/class_extends/page_extends/admin/LC_Page_Admin_Index_Ex.php
===================================================================
--- /branches/version-2_5-dev/data/class_extends/page_extends/admin/LC_Page_Admin_Index_Ex.php	(revision 19661)
+++ /branches/version-2_5-dev/data/class_extends/page_extends/admin/LC_Page_Admin_Index_Ex.php	(revision 19661)
@@ -0,0 +1,68 @@
+<?php
+/*
+ * This file is part of EC-CUBE
+ *
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
+ *
+ * http://www.lockon.co.jp/
+ *
+ * This program is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU General Public License
+ * as published by the Free Software Foundation; either version 2
+ * of the License, or (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
+ */
+
+// {{{ requires
+require_once(CLASS_PATH . "pages/admin/LC_Page_Admin_Index.php");
+
+/**
+ * 管理者ログイン のページクラス(拡張).
+ *
+ * LC_Page_Admin をカスタマイズする場合はこのクラスを編集する.
+ *
+ * @package Page
+ * @author LOCKON CO.,LTD.
+ * @version $Id: LC_Page_Admin_Ex.php 18701 2010-06-14 08:30:18Z nanasess $
+ */
+class LC_Page_Admin_Index_Ex extends LC_Page_Admin_Index {
+
+    // }}}
+    // {{{ functions
+
+    /**
+     * Page を初期化する.
+     *
+     * @return void
+     */
+    function init() {
+        parent::init();
+    }
+
+    /**
+     * Page のプロセス.
+     *
+     * @return void
+     */
+    function process() {
+        parent::process();
+    }
+
+    /**
+     * デストラクタ.
+     *
+     * @return void
+     */
+    function destroy() {
+        parent::destroy();
+    }
+}
+?>
Index: /branches/version-2_5-dev/data/class_extends/helper_extends/SC_Helper_Plugin_Ex.php
===================================================================
--- /branches/version-2_5-dev/data/class_extends/helper_extends/SC_Helper_Plugin_Ex.php	(revision 19661)
+++ /branches/version-2_5-dev/data/class_extends/helper_extends/SC_Helper_Plugin_Ex.php	(revision 19661)
@@ -0,0 +1,48 @@
+<?php
+/*
+ * This file is part of EC-CUBE
+ *
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
+ *
+ * http://www.lockon.co.jp/
+ *
+ * This program is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU General Public License
+ * as published by the Free Software Foundation; either version 2
+ * of the License, or (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
+ */
+
+// {{{ requires
+require_once(CLASS_PATH . "helper/SC_Helper_Plugin.php");
+
+/**
+ * プラグイン関連のヘルパークラス(拡張).
+ *
+ * SC_Helper_Plugin_Ex をカスタマイズする場合はこのクラスを編集する.
+ *
+ * @package Page
+ * @author LOCKON CO.,LTD.
+ * @version $Id: $
+ */
+class SC_Helper_Plugin_Ex extends SC_Helper_Plugin {
+
+    // }}}
+    // {{{ constructors
+
+    /**
+     * デフォルトコンストラクタ.
+     */
+    function SC_Helper_Plugin_Ex() {
+        parent::SC_Helper_Plugin();
+    }
+}
+?>
Index: /branches/version-2_5-dev/data/class_extends/SC_Display_Ex.php
===================================================================
--- /branches/version-2_5-dev/data/class_extends/SC_Display_Ex.php	(revision 19661)
+++ /branches/version-2_5-dev/data/class_extends/SC_Display_Ex.php	(revision 19661)
@@ -0,0 +1,8 @@
+<?php
+
+require_once(CLASS_PATH . "SC_Display.php");
+
+class SC_Display_Ex extends SC_Display{
+    
+    
+}
